App\Library\Amazon\Classes\AdvertisementCollectibles:
    xml_root_name: AdvertisementCollectibles
    properties:
        makeAnOfferMinimumPercentage:
            expose: true
            access_type: public_method
            serialized_name: MakeAnOfferMinimumPercentage
            accessor:
                getter: getMakeAnOfferMinimumPercentage
                setter: setMakeAnOfferMinimumPercentage
            type: integer
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        additionalProductInformation:
            expose: true
            access_type: public_method
            serialized_name: AdditionalProductInformation
            accessor:
                getter: getAdditionalProductInformation
                setter: setAdditionalProductInformation
            type: string
        originality:
            expose: true
            access_type: public_method
            serialized_name: Originality
            accessor:
                getter: getOriginality
                setter: setOriginality
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            type: string
        authenticatedBy:
            expose: true
            access_type: public_method
            serialized_name: AuthenticatedBy
            accessor:
                getter: getAuthenticatedBy
                setter: setAuthenticatedBy
            type: string
        gradedBy:
            expose: true
            access_type: public_method
            serialized_name: GradedBy
            accessor:
                getter: getGradedBy
                setter: setGradedBy
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        estatePeriod:
            expose: true
            access_type: public_method
            serialized_name: EstatePeriod
            accessor:
                getter: getEstatePeriod
                setter: setEstatePeriod
            type: string
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        isVeryHighValue:
            expose: true
            access_type: public_method
            serialized_name: IsVeryHighValue
            accessor:
                getter: getIsVeryHighValue
                setter: setIsVeryHighValue
            type: boolean
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        certificateNumber:
            expose: true
            access_type: public_method
            serialized_name: CertificateNumber
            accessor:
                getter: getCertificateNumber
                setter: setCertificateNumber
            type: string
